﻿namespace WPFTreeView
{
    public class DirectoryItem 
    {
        public string FullPath { get; set; }

        public string Name => Type == DirectoryItemTypeEnum.Drive ? FullPath : FullPath.GetFileFolderName();

        public DirectoryItemTypeEnum Type { get; set; }

    }

    /// <summary>
    /// der Typ eines Snippet Items
    /// </summary>
    public enum DirectoryItemTypeEnum
    {
        Drive,
        Folder,
        File
    }
}
